View Issue Details

IDProjectCategoryView StatusLast Update
0017185mantisbtapi soappublic2014-12-08 00:34
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.17 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017185: Read-only access via soap api should be available to VIEWER level
Description

There is no reason for the APIs to have a higher access level than the GUI. We can keep the configuration option but it should default the right behavior. I initially had it higher when the API was completely new.

Tagspatch

Relationships

related to 0013750 closedvboctor MantisTouch Enable anonymous access to MantisBT 
related to 0012328 acknowledgedrombert mantisbt Normalise access checks between the web interface and the SOAP API 

Activities

vboctor

vboctor

2014-04-12 02:11

manager   ~0039915

Here is the associated pull request:
https://github.com/mantisbt/mantisbt/pull/160

Related Changesets

MantisBT: master f775ed0f

2014-04-12 02:09:35

mantishub

Details Diff
Fixes 0017185: Read-only access via soap api should be available to VIEWER level.
mod - api/soap/mc_config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2014-04-12 01:13 vboctor New Issue
2014-04-12 01:13 vboctor Relationship added related to 0013750
2014-04-12 02:11 vboctor Note Added: 0039915
2014-04-12 02:11 vboctor Tag Attached: patch
2014-04-12 02:11 vboctor Assigned To => vboctor
2014-04-12 02:11 vboctor Status new => assigned
2014-04-13 12:27 atrol Product Version => 1.2.17
2014-04-13 12:27 atrol Target Version 1.2.17 =>
2014-04-13 13:35 atrol Relationship added related to 0012328
2014-04-15 21:10 mantishub Changeset attached => MantisBT master f775ed0f
2014-04-15 21:10 mantishub Assigned To vboctor => mantishub
2014-04-15 21:10 mantishub Status assigned => resolved
2014-04-15 21:10 mantishub Resolution open => fixed
2014-04-15 21:10 mantishub Fixed in Version => 1.3.0-beta.1
2014-04-25 15:26 atrol Assigned To mantishub => vboctor
2014-04-25 15:26 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed